- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::IterationOutput Class Reference

Base class for objects that do the output summary per iteration. More...

`#include <IpIterationOutput.hpp>`

Inheritance diagram for Ipopt::IterationOutput:

[legend]
Collaboration diagram for Ipopt::IterationOutput:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual void | WriteOutput ()=0
| Method to do all the summary output per iteration.
Constructors/Destructors
| IterationOutput ()
| Default Constructor.
virtual | ~IterationOutput ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IterationOutput (const IterationOutput &)
| Copy Constructor.
void | operator= (const IterationOutput &)
| Overloaded Equals Operator.

## Detailed Description

Base class for objects that do the output summary per iteration.

Definition at line 22 of file IpIterationOutput.hpp.

## Constructor & Destructor Documentation

Ipopt::IterationOutput::IterationOutput | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 28 of file IpIterationOutput.hpp.

virtual Ipopt::IterationOutput::~IterationOutput | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 32 of file IpIterationOutput.hpp.

Ipopt::IterationOutput::IterationOutput | ( | const IterationOutput & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::IterationOutput::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::OrigIterationOutput, and Ipopt::RestoIterationOutput.

virtual void Ipopt::IterationOutput::WriteOutput | ( |  | ) | `[pure virtual]`

Method to do all the summary output per iteration.

This include the one-line summary output as well as writing the details about the iterates if desired

Implemented in Ipopt::OrigIterationOutput, and Ipopt::RestoIterationOutput.

void Ipopt::IterationOutput::operator= | ( | const IterationOutput & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpIterationOutput.hpp